%global pkg slime
%global pkgname Slime
%global alphatag 20101113cvs

Name:            emacs-%{pkg}
Version:         3.0
Release:         0.2.%{alphatag}%{?dist}
Summary:         The superior lisp interaction mode for emacs        

Group:           Applications/Editors
#Public domain: Mentioned in README file
#LLGPL: Mentioned in swank-ccl.lisp
#GPLv2+: slime.el,slime-autoloads.el
#GPLv3+: Many files in contrib are GPLv3+
License:         Public Domain and GPLv3+ and GPLv2+ and LLGPL
URL:             http://common-lisp.net/project/slime/
Source0:         http://common-lisp.net/project/slime/snapshots/slime-current.tgz


BuildRequires:   emacs texinfo common-lisp-controller
Requires:        emacs(bin) >= %{_emacs_version} common-lisp-controller

Requires(post):  info common-lisp-controller
Requires(preun): info common-lisp-controller

BuildArch:       noarch

%description
SLIME is a Emacs mode for common Lisp development.


%package el
Summary:        Elisp source files for %{name}
Group:          Applications/Editors
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the Elisp source files for %{name}. You do not need
to install this package to use %{name}.

%prep
%setup -q -n %{pkg}-2010-11-13
iconv --from=ISO-8859-1 --to=UTF-8 ChangeLog > ChangeLog.conv && mv ChangeLog.conv ChangeLog

%build
%{_emacs_bytecompile} *.el
cd doc/
make slime.info


%install
rm -rf %{buildroot}
install -pm 755 -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
install -pm 644 *.el* %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
install -pm 755 -d %{buildroot}%{_emacs_sitestartdir}
install -pm 755 -d %{buildroot}%{_infodir}
install -pm 644 doc/%{pkg}.info %{buildroot}%{_infodir}/
install -pm 755 -d %{buildroot}%{_datadir}/common-lisp/source/swank
install -pm 755 -d %{buildroot}%{_datadir}/common-lisp/systems
install -pm 644 *.lisp %{buildroot}%{_datadir}/common-lisp/source/swank
install -pm 644 *.asd %{buildroot}%{_datadir}/common-lisp/source/swank/
cd %{buildroot}%{_datadir}/common-lisp/source/swank/
for asd in *.asd; do
  ln -s %{_datadir}/common-lisp/source/swank/$asd ../../systems;
done


%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{pkg}.info %{_infodir}/dir || :
/usr/sbin/register-common-lisp-source swank

%preun
if [ "$1" = 0 ]; then
 /sbin/install-info --delete %{_infodir}/%{pkg}.info %{_infodir}/dir || :
fi
/usr/sbin/unregister-common-lisp-source swank 

%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS PROBLEMS README doc/slime-small.pdf doc/slime-refcard.pdf
%dir %{_emacs_sitelispdir}/%{pkg}
%{_emacs_sitelispdir}/%{pkg}/*.elc
%dir %{_datadir}/common-lisp/source/swank
%{_datadir}/common-lisp/source/swank/*
%{_datadir}/common-lisp/systems/swank.asd
%{_infodir}/%{pkg}.info.gz

%files el
%defattr(-,root,root,-)
%doc HACKING
%{_emacs_sitelispdir}/%{pkg}/*.el
%dir %{_emacs_sitelispdir}/%{pkg}


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.20101113cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Arun SAG <sagarun at gmail dot com> - 3.0-0.1.20101113cvs
- Fixed the version information
- Fixed the license information
- Removed the buildroot tag as it is obsolete

* Sat Sep 11 2010 Arun SAG <sagarun at gmail dot com> - 1.2-1
- Initial release
